@import "../theme";
@import "../common";

.navbar-wrapper {
  padding: 0 0 18px 0;
  z-index: 10;
  position: sticky;
  top: 0;
  backdrop-filter: blur(12px);
  transition: all .3s;

  @media (max-width: 1200px) {
    &.opened {
      backdrop-filter: none;
      background-color: $main-black;
    }
  }
}

.navbar {
  padding-top: 18px;
  display: flex;
  align-items: center;
  justify-content: space-between;

  &__logo {
    cursor: pointer;
    width: 140px;
    @media (max-width: 1200px) {
      width: 110px;
    }
  }

  &.mutation {

    .navbar {

      &-menu {

        &-desktop {
          margin-left: auto;

          &__item {
            margin-right: 48px;
          }
        }
      }

      &__mutation-link {
        color: $pink;
        font-weight: 700;
        font-size: 18px;
        line-height: 22px;
        text-decoration: underline;
        text-transform: uppercase;

        @media (max-width: 1200px) {
          font-size: 14px;
          line-height: 17px;
          margin-left: auto;
          margin-right: 20px;
        }
      }
    }

  }

  &-menu {
    &-desktop {
      display: flex;
      align-items: center;

      &__item {
        font-weight: 600;
        font-size: 18px;
        line-height: 22px;
        display: flex;
        align-items: center;
        color: #999999;

        &:hover, &.nuxt-link-exact-active {
          @extend .text-purple-gradient;
        }

        &:not(:last-child) {
          margin-right: 25px;
        }

        &.socials {
          cursor: default;
          position: relative;

          .circle {
            position: relative;
            display: block;
            margin-left: 10px;
            width: 12px;
            height: 12px;
            border-radius: 50%;
            background: url("static/TopNavBar/circle.svg") no-repeat center / cover;

            &::after {
              content: "";
              position: absolute;
              width: 100%;
              height: 100%;
              left: 0;
              top: 0;
              right: 0;
              bottom: 0;
              z-index: 1;
              border-radius: 50%;
              background-image: linear-gradient(260.39deg, #00A79D 0%, #8C41CE 96.71%);
              transform: scale(0);
              transition: transform .3s;
              transition-delay: .3s;
            }
          }

          &:hover {
            .popup {
              visibility: visible;
              opacity: 1;
              transition-delay: 0s;
            }

            .circle {
              &::after {
                transform: scale(1);
                transition-delay: 0s;
              }
            }
          }

          .popup {
            z-index: 10;
            visibility: hidden;
            opacity: 0;
            backdrop-filter: blur(12px);
            transition: opacity .3s, visibility .3s;
            transition-delay: .3s;
            position: absolute;
            left: 0;
            top: calc(100% + 24px);
            display: grid;
            grid-row-gap: 16px;

            &-item {
              display: grid;
              grid-template-columns: 14px 1fr;
              grid-column-gap: 10px;
              cursor: pointer;
              font-weight: 500;
              font-size: 12px;
              line-height: 14px;

              &:hover {
                @extend .text-purple-gradient;

                .popup-item__icon {
                  background-color: transparent;
                  background-image: linear-gradient(260.39deg, #00A79D 0%, #8C41CE 96.71%);
                }
              }

              &__icon {
                width: 14px;
                height: 14px;
                background-color: $main-white;
                mask-position: center;
                mask-repeat: no-repeat;
                mask-size: contain;

                &.discord {
                  mask-image: url("static/TopNavBar/discord.svg");
                }

                &.twitter {
                  mask-image: url("static/TopNavBar/twitter.svg");
                }
              }
            }
          }


        }
      }
    }
  }

  &__burger {
    display: grid;
    grid-row-gap: 6px;
    justify-items: end;

    div {
      transition: all .3s;
      height: 2px;
      width: 24px;
      border-radius: 10px;
      background: linear-gradient(260.39deg, #00A79D 0%, #8C41CE 78.07%);

      &:last-child {
        width: 18px;
      }
    }

    &.opened {
      div {
        width: 34px;

        &:first-child {
          transform: rotate(45deg) translateX(6px);
        }

        &:nth-child(2) {
          transform: rotate(-45deg) translateX(6px);
        }

        &:last-child {
          width: 0;
          opacity: 0;
        }
      }
    }
  }

  &-mobile {
    overflow-y: auto;
    padding-top: 0;
    height: 100%;
    display: flex;
    flex-direction: column;
    padding-bottom: 120px;

    &-container {
      background-color: $main-black;
      z-index: 10;
      overflow: hidden;
      position: fixed;
      height: 100%;
      left: 0;
      bottom: 0;
      width: 100%;
      transition: transform .3s;
      transform: translateY(300%);

      &.opened {
        transform: translateY(80px);
      }
    }

    &-menu {
      display: flex;
      flex-direction: column;
      align-items: center;

      &__item {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 100%;
        padding: 16px 0;
        font-weight: 600;
        font-size: 28px;
        line-height: 130%;
        border-top: 1px solid transparent;

        &.nuxt-link-exact-active {
          @extend .text-purple-gradient
        }

        @media (max-height: 550px) {
          padding: 12px 0;
          font-size: 24px;
          line-height: 130%;
        }

        &:hover {
          @extend .text-purple-gradient;

          &::after {
            content: "";
            position: absolute;
            bottom: -1px;
            left: 0;
            right: 0;
            height: 1px;
            background-image: linear-gradient(260.39deg, #00A79D 0%, #8C41CE 96.71%);
          }
        }
      }
    }

    &-social {
      padding-bottom: 16px;
      margin-top: auto;
      display: grid;
      grid-template-columns: repeat(2, 40px);
      grid-column-gap: 60px;
      justify-content: center;
    }
  }
}
